/*
* Main theme css file
*/

@import url("fonts.css");
@import url("overrides.css");
@import url("default.css");

:root {
	--base-color: #404040;
	--pri-color: #000;
	--sec-color: #1687A7;
	--thd-color: #D3E0EA;
	--light-grey: #F6F5F5;
}

/*
* Base html styles
*/

html, body {
	font-display: swap;
	font-family: 'Poppins';
	font-style: normal;
	font-weight: 300;
	letter-spacing: .5px;
	font-size: 1rem;
}


/*
 * Text colors
 */
.base-color {
	color: var(--base-color);
}
.pri-color {
	color: var(--pri-color);
}
.sec-color {
	color: var(--sec-color);
}
.thd-color {
	color: var(--thd-color);
}

/*
 * Navbar
 */
.navbar.sticky-top {
    top: -150px;
    transition: .5s;
}

/*
 * Carousel
 */
.carousel-indicators [data-bs-target] {
	height: 8px;
	width: 8px;
	border-top: 0;
	border-bottom: 0;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	transition: .5s;
}
.carousel-indicators .active {
	width: 22px;
}
/* Custom carousel style */
#main-carousel {
	margin-top: 30px;
}
#main-carousel .carousel-inner .carousel-item {
	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	border-radius: 12px;
	overflow: hidden;
}

/*
 * Footer
 */
.main-footer {
	padding-top: 45px;
	padding-bottom: 45px;
}

/*
 * Process circle
 */
.progress-wrap {
	position: fixed;
	right: 50px;
	bottom: 50px;
	height: 46px;
	width: 46px;
	cursor: pointer;
	display: block;
	border-radius: 50px;
	box-shadow: inset  0 0 0 2px rgba(255,255,255,0.2);
	z-index: 1001;
	opacity: 0;
	visibility: hidden;
	transform: translateY(15px);
	-webkit-transition: all 200ms linear;
	transition: all 200ms linear;
}
.progress-wrap.active-progress {
	opacity: 1;
	visibility: visible;
	transform: translateY(0);
}
.progress-wrap:before {
	position: absolute;
	content: '\ec5d';
	text-align: center;
	line-height: 45px;
	font-size: 24px;
	left: 0;
	top: 0;
	height: 46px;
	width: 46px;
	cursor: pointer;
	display: block;
	-webkit-transition: all 200ms linear;
    transition: all 200ms linear;
	font-family: 'boxicons' !important;
	font-style: normal;
	z-index: 2;
}
.progress-wrap svg path { 
	fill: none; 
}
.progress-wrap svg.progress-circle path {
	stroke: #ddd;
	stroke-width: 4;
	box-sizing: border-box;
	-webkit-transition: all 200ms linear;
	transition: all 200ms linear;
}